import noteu.Noteu;
import noteu.SerialException;

public class Main {
        
        public static void main(String[] args) {
                        
                try {
                        
                        // Create a new Noteu instance and set port
                        Noteu noteu = new Noteu("COM40");
                        
                        // Print 4 lines and command Noteu to beep
                        noteu.print("This is line 1", "This is line 2", "This is line 3", "This is line 4");

                        // Print 4 lines and command Noteu to beep
                        noteu.printCenter("This is line 1", "This is line 2", "This is line 3", "This is line 4");
                        
                        // Command Noteu to beep
                        noteu.beep();
                        
                        // Print serial number
                        System.out.println("My Noteu serial number is : " + noteu.getSerialNumber());
                        
                } catch (SerialException | InterruptedException e) {
                        
                		// SerialException will be caught if the port can't be open, set, written too or closed.
                    	// InterruptedException will be caught if noteu.getSerialNumber() is interrupted while waiting for a response
                        e.printStackTrace();
                        
                }
                
        }

}
